osgText::Font::FontImplementation Class Referenceabstract

`#include <Font>`

Inheritance diagram for osgText::Font::FontImplementation:

## Public Member Functions

| FontImplementation ()
virtual std::string | getFileName () const =0
virtual bool | supportsMultipleFontResolutions () const =0
virtual Glyph * | getGlyph (const FontResolution &fontRes, unsigned int charcode)=0
virtual Glyph3D * | getGlyph3D (const FontResolution &fontRes, unsigned int charcode)=0
virtual osg::Vec2 | getKerning (const FontResolution &fontRes, unsigned int leftcharcode, unsigned int rightcharcode, KerningType kerningType)=0
virtual bool | hasVertical () const =0
void | addGlyph (const FontResolution &fontRes, unsigned int charcode, Glyph *glyph)
virtual bool | getVerticalSize (float &, float &) const
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
virtual void | setThreadSafeRefUnref (bool)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Public Attributes

Font * | _facade

## Additional Inherited Members

Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Constructor & Destructor Documentation

## FontImplementation()

osgText::Font::FontImplementation::FontImplementation | ( |  | ) |

inline

References _facade, and osg::Referenced::Referenced().

## Member Function Documentation

## addGlyph()

void osgText::Font::FontImplementation::addGlyph | ( | const FontResolution & | fontRes,
|  | unsigned int | charcode,
|  | Glyph * | glyph )

inline

References _facade.

## getFileName()

virtual std::string osgText::Font::FontImplementation::getFileName | ( |  | ) | const

pure virtual

## getGlyph()

virtual Glyph * osgText::Font::FontImplementation::getGlyph | ( | const FontResolution & | fontRes,
|  | unsigned int | charcode )

pure virtual

Get a Glyph for specified charcode, and the font size nearest to the current font size hint.

## getGlyph3D()

virtual Glyph3D * osgText::Font::FontImplementation::getGlyph3D | ( | const FontResolution & | fontRes,
|  | unsigned int | charcode )

pure virtual

Get a Glyph3D for specified charcode.

## getKerning()

virtual osg::Vec2 osgText::Font::FontImplementation::getKerning | ( | const FontResolution & | fontRes,
|  | unsigned int | leftcharcode,
|  | unsigned int | rightcharcode,
|  | KerningType | kerningType )

pure virtual

Get a kerning (adjustment of spacing of two adjacent character) for specified charcodes, w.r.t the current font size hint.

## getVerticalSize()

virtual bool osgText::Font::FontImplementation::getVerticalSize | ( | float & | ,
|  | float & | ) const

inline virtual

## hasVertical()

virtual bool osgText::Font::FontImplementation::hasVertical | ( |  | ) | const

pure virtual

Return true if this font provides vertical alignments and spacing or glyphs.

## supportsMultipleFontResolutions()

virtual bool osgText::Font::FontImplementation::supportsMultipleFontResolutions | ( |  | ) | const

pure virtual

## Member Data Documentation

## _facade

Font* osgText::Font::FontImplementation::_facade

Referenced by addGlyph(), and FontImplementation().

The documentation for this class was generated from the following file:

- Font